| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Endpoint Location

Endpoint Location Definitions and Methods. More...

## Classes
class | QueryEndpointLocationData
| Query Endpoint Location data. More...
class | unsp__CreateEndpointLocationRequest
| Create Endpoint Location request. More...
struct | unsp__CreateEndpointLocationResult
| Create Endpoint Location result. More...
class | unsp__ModifyEndpointLocationRequest
| Modify Endpoint Location request. More...
struct | unsp__ModifyEndpointLocationResult
| Modify Endpoint Location result. More...
class | unsp__QueryEndpointLocationRequest
| Query Endpoint Location request. More...
class | unsp__EndpointLocation
| Endpoint Location data. More...
class | unsp__ArrayOfEndpointLocation
| Array of Endpoint Locations. More...
struct | unsp__EndpointLocationResult
| Query Endpoint Location result. More...
class | unsp__RemoveEndpointLocationRequest
| Remove Endpoint Location request. More...
struct | unsp__RemoveEndpointLocationResult
| Remove Endpoint Location result. More...

## Functions
int | unsp__createEndpointLocation (unsp__CreateEndpointLocationRequest CreateEndpointLocationRequest, struct unsp__CreateEndpointLocationResult *CreateEndpointLocationResult)
| Creates an Endpoint Location. More...
int | unsp__modifyEndpointLocation (unsp__ModifyEndpointLocationRequest ModifyEndpointLocationRequest, struct unsp__ModifyEndpointLocationResult *ModifyEndpointLocationResult)
| Modifies an Endpoint Location. More...
int | unsp__queryEndpointLocation (unsp__QueryEndpointLocationRequest QueryEndpointLocationRequest, struct unsp__EndpointLocationResult *QueryEndpointLocationResult)
| Queries Endpoint Locations. More...
int | unsp__removeEndpointLocation (unsp__RemoveEndpointLocationRequest RemoveEndpointLocationRequest, struct unsp__RemoveEndpointLocationResult *RemoveEndpointLocationResult)
| Removes an Endpoint Location. More...

## Detailed Description

Endpoint Location Definitions and Methods.

The endpoint Location expresses the location of an NNI Endpoint. A location code must be specified for each provisioned Endpoint Location.

See also
  Endpoint

## Function Documentation

## ◆ unsp__createEndpointLocation()

unsp__createEndpointLocation | ( | unsp__CreateEndpointLocationRequest | CreateEndpointLocationRequest,
|  | struct unsp__CreateEndpointLocationResult * | CreateEndpointLocationResult
| ) |  |

Creates an Endpoint Location.

Parameters

  CreateEndpointLocationRequest | API request
  CreateEndpointLocationResult | API result MP2 command: EndpointLocation [Attributes]

## ◆ unsp__modifyEndpointLocation()

unsp__modifyEndpointLocation | ( | unsp__ModifyEndpointLocationRequest | ModifyEndpointLocationRequest,
|  | struct unsp__ModifyEndpointLocationResult * | ModifyEndpointLocationResult
| ) |  |

Modifies an Endpoint Location.

Parameters

  ModifyEndpointLocationRequest | API request
  ModifyEndpointLocationResult | API result MP2 command: ModifyEndpointLocation [Attributes]

## ◆ unsp__queryEndpointLocation()

unsp__queryEndpointLocation | ( | unsp__QueryEndpointLocationRequest | QueryEndpointLocationRequest,
|  | struct unsp__EndpointLocationResult * | QueryEndpointLocationResult
| ) |  |

Queries Endpoint Locations.

Parameters

  QueryEndpointLocationRequest | API request
  QueryEndpointLocationResult | API result

## ◆ unsp__removeEndpointLocation()

unsp__removeEndpointLocation | ( | unsp__RemoveEndpointLocationRequest | RemoveEndpointLocationRequest,
|  | struct unsp__RemoveEndpointLocationResult * | RemoveEndpointLocationResult
| ) |  |

Removes an Endpoint Location.

Parameters

  RemoveEndpointLocationRequest | API request
  RemoveEndpointLocationResult | API result MP2 command: RemoveEndpointLocation [Attributes]